package com.xkrs.model.vo;

import java.util.List;

/**
 * @author wudong
 * @date 2022/5/6 17:38
 * @description
 */
public class GaoDeIgGeocodeVo {

    private String status;
    private String info;
    private String infocode;
    private List<Regeocode> regeocodes;

    public GaoDeIgGeocodeVo() {
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getInfo() {
        return info;
    }

    public void setInfo(String info) {
        this.info = info;
    }

    public String getInfocode() {
        return infocode;
    }

    public void setInfocode(String infocode) {
        this.infocode = infocode;
    }

    public List<Regeocode> getRegeocodes() {
        return regeocodes;
    }

    public void setRegeocodes(List<Regeocode> regeocodes) {
        this.regeocodes = regeocodes;
    }

    public static class Regeocode {
        private String formatted_address;
        private List<AddressComponent> addressComponent;
        private List<Poi> pois;
        private List<Road> roads;
        private List<Roadinter> roadinters;
        private List<Aoi> aois;


        public Regeocode() {
        }

        public String getFormatted_address() {
            return formatted_address;
        }

        public void setFormatted_address(String formatted_address) {
            this.formatted_address = formatted_address;
        }

        public List<AddressComponent> getAddressComponent() {
            return addressComponent;
        }

        public void setAddressComponent(List<AddressComponent> addressComponent) {
            this.addressComponent = addressComponent;
        }

        public List<Poi> getPois() {
            return pois;
        }

        public void setPois(List<Poi> pois) {
            this.pois = pois;
        }

        public List<Road> getRoads() {
            return roads;
        }

        public void setRoads(List<Road> roads) {
            this.roads = roads;
        }

        public List<Roadinter> getRoadinters() {
            return roadinters;
        }

        public void setRoadinters(List<Roadinter> roadinters) {
            this.roadinters = roadinters;
        }

        public List<Aoi> getAois() {
            return aois;
        }

        public void setAois(List<Aoi> aois) {
            this.aois = aois;
        }
    }

    public static class AddressComponent {
        private String country;
        private String province;
        private String city;
        private String citycode;
        private String district;
        private String adcode;
        private String township;
        private String towncode;
        private String seaArea;
        private Neighborhood neighborhood;
        private Building building;
        private StreetNumber streetNumber;
        private List<BusinessArea> businessAreas;

        public AddressComponent() {
        }

        public String getCountry() {
            return country;
        }

        public void setCountry(String country) {
            this.country = country;
        }

        public String getProvince() {
            return province;
        }

        public void setProvince(String province) {
            this.province = province;
        }

        public String getCity() {
            return city;
        }

        public void setCity(String city) {
            this.city = city;
        }

        public String getCitycode() {
            return citycode;
        }

        public void setCitycode(String citycode) {
            this.citycode = citycode;
        }

        public String getDistrict() {
            return district;
        }

        public void setDistrict(String district) {
            this.district = district;
        }

        public String getAdcode() {
            return adcode;
        }

        public void setAdcode(String adcode) {
            this.adcode = adcode;
        }

        public String getTownship() {
            return township;
        }

        public void setTownship(String township) {
            this.township = township;
        }

        public String getTowncode() {
            return towncode;
        }

        public void setTowncode(String towncode) {
            this.towncode = towncode;
        }

        public String getSeaArea() {
            return seaArea;
        }

        public void setSeaArea(String seaArea) {
            this.seaArea = seaArea;
        }

        public Neighborhood getNeighborhood() {
            return neighborhood;
        }

        public void setNeighborhood(Neighborhood neighborhood) {
            this.neighborhood = neighborhood;
        }

        public Building getBuilding() {
            return building;
        }

        public void setBuilding(Building building) {
            this.building = building;
        }

        public StreetNumber getStreetNumber() {
            return streetNumber;
        }

        public void setStreetNumber(StreetNumber streetNumber) {
            this.streetNumber = streetNumber;
        }

        public List<BusinessArea> getBusinessAreas() {
            return businessAreas;
        }

        public void setBusinessAreas(List<BusinessArea> businessAreas) {
            this.businessAreas = businessAreas;
        }
    }

    public static class Neighborhood {
        private String name;
        private String type;

        public Neighborhood() {
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getType() {
            return type;
        }

        public void setType(String type) {
            this.type = type;
        }
    }

    public static class Building {
        private String name;
        private String type;

        public Building() {
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getType() {
            return type;
        }

        public void setType(String type) {
            this.type = type;
        }
    }

    public static class StreetNumber {
        private String street;
        private String number;
        private String location;
        private String direction;
        private String distance;

        public StreetNumber() {
        }

        public String getStreet() {
            return street;
        }

        public void setStreet(String street) {
            this.street = street;
        }

        public String getNumber() {
            return number;
        }

        public void setNumber(String number) {
            this.number = number;
        }

        public String getLocation() {
            return location;
        }

        public void setLocation(String location) {
            this.location = location;
        }

        public String getDirection() {
            return direction;
        }

        public void setDirection(String direction) {
            this.direction = direction;
        }

        public String getDistance() {
            return distance;
        }

        public void setDistance(String distance) {
            this.distance = distance;
        }
    }

    public static class BusinessArea {
        private String businessArea;
        private String location;
        private String name;
        private String id;

        public BusinessArea() {
        }

        public String getBusinessArea() {
            return businessArea;
        }

        public void setBusinessArea(String businessArea) {
            this.businessArea = businessArea;
        }

        public String getLocation() {
            return location;
        }

        public void setLocation(String location) {
            this.location = location;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }
    }

    public static class Road {
        private String id;
        private String name;
        private String distance;
        private String direction;
        private String location;

        public Road() {
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getDistance() {
            return distance;
        }

        public void setDistance(String distance) {
            this.distance = distance;
        }

        public String getDirection() {
            return direction;
        }

        public void setDirection(String direction) {
            this.direction = direction;
        }

        public String getLocation() {
            return location;
        }

        public void setLocation(String location) {
            this.location = location;
        }
    }

    public static class Roadinter {
        private String distance;
        private String direction;
        private String location;
        private String first_id;
        private String first_name;
        private String second_id;
        private String second_name;

        public Roadinter() {
        }

        public String getDistance() {
            return distance;
        }

        public void setDistance(String distance) {
            this.distance = distance;
        }

        public String getDirection() {
            return direction;
        }

        public void setDirection(String direction) {
            this.direction = direction;
        }

        public String getLocation() {
            return location;
        }

        public void setLocation(String location) {
            this.location = location;
        }

        public String getFirst_id() {
            return first_id;
        }

        public void setFirst_id(String first_id) {
            this.first_id = first_id;
        }

        public String getFirst_name() {
            return first_name;
        }

        public void setFirst_name(String first_name) {
            this.first_name = first_name;
        }

        public String getSecond_id() {
            return second_id;
        }

        public void setSecond_id(String second_id) {
            this.second_id = second_id;
        }

        public String getSecond_name() {
            return second_name;
        }

        public void setSecond_name(String second_name) {
            this.second_name = second_name;
        }
    }

    public static class Poi {
        private String id;
        private String name;
        private String type;
        private String tel;
        private String distance;
        private String direction;
        private String address;
        private String location;
        private String businessarea;

        public Poi() {
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getType() {
            return type;
        }

        public void setType(String type) {
            this.type = type;
        }

        public String getTel() {
            return tel;
        }

        public void setTel(String tel) {
            this.tel = tel;
        }

        public String getDistance() {
            return distance;
        }

        public void setDistance(String distance) {
            this.distance = distance;
        }

        public String getDirection() {
            return direction;
        }

        public void setDirection(String direction) {
            this.direction = direction;
        }

        public String getAddress() {
            return address;
        }

        public void setAddress(String address) {
            this.address = address;
        }

        public String getLocation() {
            return location;
        }

        public void setLocation(String location) {
            this.location = location;
        }

        public String getBusinessarea() {
            return businessarea;
        }

        public void setBusinessarea(String businessarea) {
            this.businessarea = businessarea;
        }
    }

    public static class Aoi {
        private String id;
        private String name;
        private String adcode;
        private String location;
        private String area;
        private String distance;

        public Aoi() {
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getAdcode() {
            return adcode;
        }

        public void setAdcode(String adcode) {
            this.adcode = adcode;
        }

        public String getLocation() {
            return location;
        }

        public void setLocation(String location) {
            this.location = location;
        }

        public String getArea() {
            return area;
        }

        public void setArea(String area) {
            this.area = area;
        }

        public String getDistance() {
            return distance;
        }

        public void setDistance(String distance) {
            this.distance = distance;
        }
    }
}


